Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.trace
Class TraceManager

    java.lang.Object
      |
      +--weblogic.apache.xalan.trace.TraceManager

public class TraceManager
extends java.lang.Object

This class manages trace listeners, and acts as an interface for the tracing functionality in Xalan.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`TraceManager(TransformerImpl transformer)` Constructor for the trace manager.

Method Summary
`void` | `addTraceListener(TraceListener tl)` Add a trace listener for the purposes of debugging and diagnosis.
`void` | `fireGenerateEvent(GenerateEvent te)` Fire a generate event.
`void` | `fireSelectedEndEvent(EndSelectionEvent se)` Fire a selection event.
`void` | `fireSelectedEndEvent(int sourceNode, ElemTemplateElement styleNode, java.lang.String attributeName, XPath xpath, XObject selection)` Fire a selection event.
`void` | `fireSelectedEvent(int sourceNode, ElemTemplateElement styleNode, java.lang.String attributeName, XPath xpath, XObject selection)` Fire a selection event.
`void` | `fireSelectedEvent(SelectionEvent se)` Fire a selection event.
`void` | `fireTraceEvent(ElemTemplateElement styleNode)` Fire a trace event.
`void` | `fireTraceEvent(TracerEvent te)` Fire a trace event.
`boolean` | `hasTraceListeners()` Tell if trace listeners are present.
`void` | `removeTraceListener(TraceListener tl)` Remove a trace listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TraceManager

    public TraceManager(TransformerImpl transformer)

  Constructor for the trace manager.

  Parameters:
    `transformer` - a non-null instance of a transformer

Method Detail

### addTraceListener

    public void addTraceListener(TraceListener tl)
                          throws java.util.TooManyListenersException

  Add a trace listener for the purposes of debugging and diagnosis.

  Parameters:
    `tl` - Trace listener to be added.
  Throws:
    java.util.TooManyListenersException -

### removeTraceListener

    public void removeTraceListener(TraceListener tl)

  Remove a trace listener.

  Parameters:
    `tl` - Trace listener to be removed.

### fireGenerateEvent

    public void fireGenerateEvent(GenerateEvent te)

  Fire a generate event.

  Parameters:
    `te` - Generate Event to fire

### hasTraceListeners

    public boolean hasTraceListeners()

  Tell if trace listeners are present.

  Returns:
    True if there are trace listeners

### fireTraceEvent

    public void fireTraceEvent(ElemTemplateElement styleNode)

  Fire a trace event.

  Parameters:
    `sourceNode` - Current source node
    `mode` - Template mode
    `styleNode` - Stylesheet template node

### fireTraceEvent

    public void fireTraceEvent(TracerEvent te)

  Fire a trace event.

  Parameters:
    `te` - Trace event to fire

### fireSelectedEvent

    public void fireSelectedEvent(int sourceNode,
                                  ElemTemplateElement styleNode,
                                  java.lang.String attributeName,
                                  XPath xpath,
                                  XObject selection)
                           throws javax.xml.transform.TransformerException

  Fire a selection event.

  Parameters:
    `sourceNode` - Current source node
    `styleNode` - node in the style tree reference for the event.
    `attributeName` - The attribute name from which the selection is made.
    `xpath` - The XPath that executed the selection.
    `selection` - The result of the selection.
  Throws:
    javax.xml.transform.TransformerException -

### fireSelectedEndEvent

    public void fireSelectedEndEvent(int sourceNode,
                                     ElemTemplateElement styleNode,
                                     java.lang.String attributeName,
                                     XPath xpath,
                                     XObject selection)
                              throws javax.xml.transform.TransformerException

  Fire a selection event.

  Parameters:
    `sourceNode` - Current source node
    `styleNode` - node in the style tree reference for the event.
    `attributeName` - The attribute name from which the selection is made.
    `xpath` - The XPath that executed the selection.
    `selection` - The result of the selection.
  Throws:
    javax.xml.transform.TransformerException -

### fireSelectedEndEvent

    public void fireSelectedEndEvent(EndSelectionEvent se)
                              throws javax.xml.transform.TransformerException

  Fire a selection event.

  Parameters:
    `se` - Selection event to fire
  Throws:
    javax.xml.transform.TransformerException -

### fireSelectedEvent

    public void fireSelectedEvent(SelectionEvent se)
                           throws javax.xml.transform.TransformerException

  Fire a selection event.

  Parameters:
    `se` - Selection event to fire
  Throws:
    javax.xml.transform.TransformerException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference